#include "compiler.h"

bool next(Compiler* compiler, Token* token) {
    if(!lexer_next(compiler->lexer, token)) {
        return false;
    }

    switch(token->type) {
    case TOKEN_WHITESPACE:
        return next(compiler, token);
    case TOKEN_IDENTIFIER:
        if(cmap_str_contains(&compiler->types, token->value)) {
            token->type = TOKEN_TYPEIDENTIFIER;
        }
        break;
    }

    printf("tok: %c, val: %s\n", token->type, token->value);

    return true;
}
