#ifndef HELPERS_H
#define HELPERS_H

#include <regex.h>
#include <stdbool.h>

#define syntax_error(...)                                                                               \
    {                                                                                                   \
        fprintf(stderr, "Syntax error: " __VA_ARGS__);                                                  \
        fprintf(stderr, "\n");                                                                          \
        exit(EXIT_FAILURE);                                                                             \
    }

void regex_error(const regex_t* regex, int status);
regex_t regex(const char* pattern);
bool regex_search(regmatch_t* match, const regex_t* regex, const char* string);

const char* read_file(const char* filename);

#endif
